Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06869 Plugins Minor Always Feb 7, 2018, 10:51 Mar 5, 2018, 18:29
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.194 Fixed in Version 0.196 Build 64-bit
Summary 06869: Lua Cheat Plugin: Some cheat commands are ignored using Lua cheat engine
Description Some commands do not seem to parse correctly (or at all?) with Lua Cheat Plugin. This formerly listed those which shows errors using the debugger-based cheat engine.

NOTE: This is only valid for Lua Cheat Plugin -PLUGINS -PLUGIN CHEAT and not the -CHEAT internal engine, where error message as produced as it should be and detailed in the notes below.
Steps To Reproduce - mame64 finalizr -plugins -plugin cheat
This shows nothing wrong when they should be detected with the issues mentioned in the notes, but lets it through showing a cheat which will likely not work.
Additional Information List of malfunctioning cheats through debugger which are not caught by Lua Cheat Engine:
f1gpstaro.xml(5): error parsing cheat expression "maincpu.pb@F902F=63" (unknown symbol)
f1gpstaro.xml(11): error parsing cheat expression "maincpu.pw@FA008=03E7" (unknown symbol)
f1gpstaro.xml(17): error parsing cheat expression "maincpu.pw@FA2AA=01C1" (unknown symbol)
f1gpstaro.xml(23): error parsing cheat expression "maincpu.pw@FA2AA=01C1" (unknown symbol)
f1gpstaro.xml(29): error parsing cheat expression "maincpu.pb@FA30D=00" (unknown symbol)
f1gpstaro.xml(35): error parsing cheat expression "maincpu.pb@FA30D=00" (unknown symbol)
f1gpstaro.xml(42): error parsing cheat expression "maincpu.pb@FA30D=(param-1)" (unknown symbol)
finalizr.xml(11): error parsing cheat expression "temp0 =maincpu.ob@8A83" (unknown symbol)
finalizrb.xml(11): error parsing cheat expression "temp0 =maincpu.ob@897A" (unknown symbol)
jackalbl.xml(5): error parsing cheat expression "maincpu.pb@1478=09" (unknown symbol)
jackalbl.xml(11): error parsing cheat expression "maincpu.pb@0B06=01" (unknown symbol)
jackalbl.xml(17): error parsing cheat expression "maincpu.pb@0AFD=04" (unknown symbol)
jackalbl.xml(23): error parsing cheat expression "maincpu.pb@0AFC=08" (unknown symbol)
jackalbl.xml(31): error parsing cheat expression "maincpu.pb@14B8=09" (unknown symbol)
jackalbl.xml(37): error parsing cheat expression "maincpu.pb@0B7E=01" (unknown symbol)
jackalbl.xml(43): error parsing cheat expression "maincpu.pb@0B75=04" (unknown symbol)
jackalbl.xml(49): error parsing cheat expression "maincpu.pb@0B74=08" (unknown symbol)
jailbrek.xml(5): error parsing cheat expression "temp0 =maincpu.ob@9A7C" (unknown symbol)
jailbrek.xml(23): error parsing cheat expression "temp0 =maincpu.ob@98ED" (unknown symbol)
jailbrekb.xml(5): error parsing cheat expression "temp0 =maincpu.ob@9A7C" (unknown symbol)
jailbrekb.xml(23): error parsing cheat expression "temp0 =maincpu.ob@98ED" (unknown symbol)
manhatan.xml(5): error parsing cheat expression "temp0 =maincpu.ob@9A70" (unknown symbol)
manhatan.xml(23): error parsing cheat expression "temp0 =maincpu.ob@98E1" (unknown symbol)
mschamp.xml(23): error parsing cheat expression "temp0 =maincpu.od@01774" (unknown symbol)
mschamps.xml(23): error parsing cheat expression "temp0 =maincpu.od@01774" (unknown symbol)
mt_aftrb.xml(18): error parsing cheat expression "temp0 =genesis_snd_z80.ob@2109" (unknown symbol)
nebulbee.xml(11): error parsing cheat expression "temp0 =cpu1.mb@06E4" (unknown symbol)
nebulbee.xml(54): error parsing cheat expression "temp0 =cpu1.mb@070D" (unknown symbol)
nebulbee.xml(91): error parsing cheat expression "cpu2.pw@99B6=0000|(cpu2.pw@99B6 BAND Note: 01515)" (unknown symbol)
nss_actr.xml(40): error parsing cheat expression "temp0 =maincpu.ob@008926" (unknown symbol)
nss_fzer.xml(23): error parsing cheat expression "temp0 =maincpu.ob@0098F3" (unknown symbol)
rockmanj.xml(47): error parsing cheat expression "maincpu.ow@01C202=4E71" (unknown symbol)
samsho2.xml(70): error parsing cheat expression "temp0 =maincpu.mq@6EAF2, temp1 =maincpu.mq@6EAFA, temp2 =maincpu.mq@6E9B2, temp3 =maincpu.mq@6E9BA" (unknown symbol)
samsho2.xml(98): error parsing cheat expression "temp0 =maincpu.mq@6E952, temp1 =maincpu.mq@6E95A, temp2 =maincpu.mq@6E90E, temp3 =maincpu.mq@6E916" (unknown symbol)
tokio.xml(5): error parsing cheat expression "slave.pb@949F=03" (unknown symbol)
tokio.xml(11): error parsing cheat expression "temp0 =slave.mb@493D" (unknown symbol)
tokio.xml(23): error parsing cheat expression "temp0 =slave.mb@49AF" (unknown symbol)
tokio.xml(42): error parsing cheat expression "slave.pb@84FF=04" (unknown symbol)
tokio.xml(48): error parsing cheat expression "slave.pb@8510=63" (unknown symbol)
tokiob.xml(5): error parsing cheat expression "slave.pb@949F=03" (unknown symbol)
tokiob.xml(11): error parsing cheat expression "temp0 =slave.mb@493D" (unknown symbol)
tokiob.xml(23): error parsing cheat expression "temp0 =slave.mb@49AF" (unknown symbol)
tokiob.xml(42): error parsing cheat expression "slave.pb@84FF=04" (unknown symbol)
tokiob.xml(48): error parsing cheat expression "slave.pb@8510=63" (unknown symbol)
tokioo.xml(5): error parsing cheat expression "slave.pb@949F=03" (unknown symbol)
tokioo.xml(11): error parsing cheat expression "temp0 =slave.mb@493D" (unknown symbol)
tokioo.xml(23): error parsing cheat expression "temp0 =slave.mb@49AF" (unknown symbol)
tokioo.xml(42): error parsing cheat expression "slave.pb@84FF=04" (unknown symbol)
tokioo.xml(48): error parsing cheat expression "slave.pb@8510=63" (unknown symbol)
tokiou.xml(5): error parsing cheat expression "slave.pb@949F=03" (unknown symbol)
tokiou.xml(11): error parsing cheat expression "temp0 =slave.mb@493D" (unknown symbol)
tokiou.xml(23): error parsing cheat expression "temp0 =slave.mb@49AF" (unknown symbol)
tokiou.xml(42): error parsing cheat expression "slave.pb@84FF=04" (unknown symbol)
tokiou.xml(48): error parsing cheat expression "slave.pb@8510=63" (unknown symbol)
zeroteama.xml(60): error parsing cheat expression "temp10=maincpu.ob@8F455" (unknown symbol)
Flags
Regression Version
Affected Sets / Systems Lua Cheat Plugin
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
5
User avatar
No.14775
galibert
Developer
Feb 24, 2018, 12:53
f1gpstaro does not have a cpu called maincpu, it has cpu1, cpu2, cpu3 and soundcpu
jackalbl does not have a cpu called maincpu, it has master and slave
nebulbee does not have a cpu called cpu1 or cpu2, it has maincpu, sub and sub2
samsho2 does not have a maincpu region, maybe the mainbios one?
tokio/tokioo has no cpu or region called slave
finalizr/finalizr/jailbrek/jailbrekb/mahnatan/mschamp/mschampb/mt_aftrb/nss_actr/nss_fzer/rockmanj/zeroteama do not use an AS_OPCODE space, it only has AS_PROGRAM
User avatar
No.14776
galibert
Developer
Feb 24, 2018, 12:59
Each refused expression is actually broken, see the note. We'll try to have better error messages though.
User avatar
No.14778
crazyc
Developer
Feb 25, 2018, 02:26
The lua cheat engine doesn't show detailed errors unless you use -verbose. It will show that something failed in the menu.
User avatar
No.14798
Tafoid
Administrator
Mar 3, 2018, 20:17
I'd argue this probably should act like the debugger cheat engine and display the error message regardless of -verbose. From a testing standpoint, it is a lot less data to process to find errors - so long as the game continues working (not fatal)
User avatar
No.14804
crazyc
Developer
Mar 5, 2018, 15:24
Ok, I changed it.